TAAS - Feature #189

Airline Import
05/09/2023 07:06 PM - Junaid M

Status: New Changes Coding Done Start date: 05/17/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Airline Import

Description

Coding Airline Import

History

#1 - 05/17/2023 11:00 AM - Junaid M

- Assignee changed from Junaid M to Amal Pious

Coding Airline Import

#2 - 05/17/2023 11:01 AM - Amal Pious
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 05/17/2023 04:14 PM - Amal Pious
- Status changed from Coding Started to New
- % Done changed from 40 to 0

#4 - 05/17/2023 06:11 PM - Amal Pious
- Start date changed from 05/09/2023 to 05/17/2023

#5 - 05/24/2023 04:39 PM - Junaid M

- Assignee changed from Amal Pious to Junaid M

#6 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#7 - 07/29/2024 02:59 PM - Anil KV

GUI Changes:-
Ref Account Import #187

#8 - 07/29/2024 03:27 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

Character Code
Numeric Code
Name

Display Name
Address

Phone

Email

Country

ZIP Code
http://103.145.37.7:82/redmine/issues/187

State

City

Place

TRN No

Contact Person

Contact Person Phone

Contact Person Email

Act As Account(True/False or Yes/No)
Act As Supplier(True/False or Yes/No)
IATA Airline(True/False or Yes/No)
NDC Airline(True/False or Yes/No)
LCC Airline(True/False or Yes/No)
Remarks

Status

#9 - 08/12/2024 03:09 PM - Junaid M

- Assignee changed from travvise Admin to Amal Ck

#10 - 08/12/2024 06:02 PM - Amal Ck
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#11 - 08/20/2024 03:29 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#12 - 08/21/2024 03:19 PM - unnikannan S
- Status changed from Coding Done to Testing Started

- Tested By set to unnikannan S

#13 - 08/21/2024 04:45 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.Allowing Deletion Of Airlines lts Used In Any Doc As Accounts

#14 - 08/22/2024 11:36 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 12/02/2024 10:53 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#16 - 12/03/2024 02:14 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add a new save settings button on the properties grid. (refer journal import)

#17 - 12/03/2024 02:16 PM - Arathy PS

- Assignee changed from Amal Ck to Augustin Jose

#18 - 12/04/2024 10:24 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
#19 - 03/06/2025 04:40 PM - Arathy PS

- Assignee changed from Augustin Jose to Nawal Sidique

#20 - 03/06/2025 05:09 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES - NOT NEEDED

Discuss with anil whether the Import need first two requirements fields,

1. Code and name in same column in excel file :

A checkbox Code and name in same column

Give same column no: for both code and name and if the check box is ticked then an entry box: Split character.
Add tooltip to the fields.

2. If the code is not auto generated and no code in excel file then a check box, No code-- if the check box is ticked then an entry box: code character
add title to the fields.

3. The default action type should be: Remove all and insert.

#21 - 03/12/2025 09:10 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
